Subject: Re: bug#16433: 24.3.50; find_newline screws up in Rmail buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jan 2014 17:52:32 +0200

> Date: Wed, 15 Jan 2014 07:29:05 -0500
> From: Richard Stallman <[email-masked]>
> CC: [email-masked]
> 
>     To reproduce it at that time, do you happen to remember what sequence
>     of commands was needed?
> 
> (mail-fetch-field "X-RMAIL-ATTRIBUTES") reproduced the bug, when it
> was happening.

Thanks.

>     If and when it happens again, please try to look for editing
>     operations that change buffer text (insert or delete characters), but
>     do not invalidate the cache for the region where characters were
>     inserted or deleted.
> 
> I had not done any manual editing on the RMAIL buffer.
> It was operated on by Rmail commands.  If you see what editing
> functions they call, you will see what I did to the RMAIL buffer.

I meant editing operations that Rmail invokes behind the scenes, like
when it displays a message in rmail-view-buffer.

> It's possible I decrypted it with rmail-epa-decrypt.

Thanks, I'll take a look at that.

> If it isn't obvious what is wrong, we need to fix this bug somehow.  I
> am thinking of turning off the newline cache in Rmail mode.

That'd sweep the problem under the carpet, so I don't recommend that,
not yet anyway.